scalar_binary_traits< F >::result_hint< Arg1, Arg2 >

## Public Types

typedef promote< typename scalar_traits< Arg1 >::type, typename scalar_traits< Arg2 >::type >::type | type

## Detailed Description

### template<class F>
template<class Arg1, class Arg2>
struct rheolef::details::scalar_binary_traits< F >::result_hint< Arg1, Arg2 >

Definition at line 1375 of file expression.h.

## Member Typedef Documentation

## type

typedef promote<typename scalar_traits<Arg1>::type, typename scalar_traits<Arg2>::type>::type type

Definition at line 1376 of file expression.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-FQTnje/rheolef-7.1/main/lib/expression.h